Bug 577 - Error "pci_root PNP0A08:00: address space collision..."
: Error "pci_root PNP0A08:00: address space collision..."
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 17:45 MSD by Postnikov Dmitry
Modified: 2014-03-20 13:13 MSK (History)
4 users (show)

See Also:
RPM Package: kernel-nrj-desktop-3.0.69-2rosa.lts-1-1-rosa.lts2012.0.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2012-07-24 17:45:57 MSD
Description of problem:
ROSA 2012 RP1 iso 369th.
This Bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=706606
https://bugzilla.redhat.com/show_bug.cgi?id=729652
Present in iso image. I'm try from http://wiki.alpinelinux.org/wiki/Error_message_on_boot:_Address_space_collision:_host_bridge_window_conflicts_with_Adaptor_ROM
and this error is disappeared.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Aleksandr Kazantcev 2012-07-26 13:44:07 MSD
Such as upstream related bug we need add string in ERRATA page and wait, when it fix in newest kernel. Bug is closed such not our bug.
Comment 2 Pavel Shved 2012-07-26 13:47:54 MSD
(In reply to comment #1)
> Such as upstream related bug we need add string in ERRATA page and wait,
> when it fix in newest kernel. Bug is closed such not our bug.

"Wait"?  Aren't we supposed to backport a patch as soon as it's available?
Comment 3 Aleksandr Kazantcev 2012-07-26 13:50:37 MSD
For kernel developers it still 'not a big bug', such it's only show error message, but not stop booting. Bug was not fixed due some last years and we need only wait, if it fixed in future. May be it will not be fixed anymore.
Comment 4 FirstLevel 2012-07-26 13:56:28 MSD
(In reply to comment #3)
> For kernel developers it still 'not a big bug', such it's only show error
> message, but not stop booting. Bug was not fixed due some last years and we
> need only wait, if it fixed in future. May be it will not be fixed anymore.

I have a case in GLPI http://helpdesk.rosalab.ru/front/ticket.form.php?id=3043 with such subject "During the installation  ROSA.2012.MARATHON.EE.i586 I have an error:

pci_root PNP0A08:00: address space collision: host bridge window [mem 0x000cc000-0x000cffff] conflicts with Video ROM [mem 0x000c0000-0x000cd7ff]
dracut Warning: Uanble to process initqueue
dracut Warning: \"/dev/disk/by-label/ROSA.2012.MARATHON.EE.i586\" does not exist
dracut Warning: \"/dev/mapper/live-rw\" does not exist
Dropping to debugg shell
sh: can\'t access tty; job control turned off"
and installation was stopped.

After adding "pci=nocrs" to kernel parameters installation was successfully finished.
Comment 5 Aleksandr Kazantcev 2012-07-26 14:00:25 MSD
We need some proposal for bugs like this. It's not our bug, but upstream. We can not fix it. But bug still open. May be 'wontfix' for future fixing?
Comment 6 Pavel Shved 2012-07-26 14:40:31 MSD
If we make our distribution free of this bug, this will make our distribution better.  Which is our goal.  So we should deal with it in some way.

For instance, there is an upstream patch for version 3.1, https://bugzilla.kernel.org/show_bug.cgi?id=16497#c27 .  The patch decreases the severity of the kernel problem, and has been merged into the kernel.  Maybe it should help?

Anyway, if this is not a regression (i.e. the original ROSA Marathon ISO is also susceptible), it should not be a blocker for RP1 anyway.
Comment 7 symbianflo 2013-06-03 23:56:29 MSD
(In reply to comment #4)
> (In reply to comment #3)
> > For kernel developers it still 'not a big bug', such it's only show error
> > message, but not stop booting. Bug was not fixed due some last years and we
> > need only wait, if it fixed in future. May be it will not be fixed anymore.
> 
> I have a case in GLPI
> http://helpdesk.rosalab.ru/front/ticket.form.php?id=3043 with such subject
> "During the installation  ROSA.2012.MARATHON.EE.i586 I have an error:
> 
> pci_root PNP0A08:00: address space collision: host bridge window [mem
> 0x000cc000-0x000cffff] conflicts with Video ROM [mem 0x000c0000-0x000cd7ff]
> dracut Warning: Uanble to process initqueue
> dracut Warning: \"/dev/disk/by-label/ROSA.2012.MARATHON.EE.i586\" does not
> exist
> dracut Warning: \"/dev/mapper/live-rw\" does not exist
> Dropping to debugg shell
> sh: can\'t access tty; job control turned off"
> and installation was stopped.
> 
> After adding "pci=nocrs" to kernel parameters installation was successfully
> finished.

The bug is still present in LTS X1 we have a confirmed bug on rosalinux.ro.
Greetings
Comment 8 symbianflo 2013-06-04 14:59:51 MSD
(In reply to comment #7)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > For kernel developers it still 'not a big bug', such it's only show error
> > > message, but not stop booting. Bug was not fixed due some last years and we
> > > need only wait, if it fixed in future. May be it will not be fixed anymore.
> > 
> > I have a case in GLPI
> > http://helpdesk.rosalab.ru/front/ticket.form.php?id=3043 with such subject
> > "During the installation  ROSA.2012.MARATHON.EE.i586 I have an error:
> > 
> > pci_root PNP0A08:00: address space collision: host bridge window [mem
> > 0x000cc000-0x000cffff] conflicts with Video ROM [mem 0x000c0000-0x000cd7ff]
> > dracut Warning: Uanble to process initqueue
> > dracut Warning: \"/dev/disk/by-label/ROSA.2012.MARATHON.EE.i586\" does not
> > exist
> > dracut Warning: \"/dev/mapper/live-rw\" does not exist
> > Dropping to debugg shell
> > sh: can\'t access tty; job control turned off"
> > and installation was stopped.
> > 
> > After adding "pci=nocrs" to kernel parameters installation was successfully
> > finished.
> 
> The bug is still present in LTS X1 we have a confirmed bug on rosalinux.ro.
> Greetings

From DVD-ROM IDE don't work neither with pci=nocrs, but it worked fine  from Marathon.X1.EE.x86_64 dumped to a usb drive.
Greetings.
Comment 9 Postnikov Dmitry 2014-03-20 13:12:32 MSK
Case is NO actual for latest updates Marathon X1

[root@mindlife-mk64 pastordi]# cat /var/log/dmesg | egrep -i "pci_root"
pci_root PNP0A08:00: host bridge window [io  0x0000-0x0cf7]
pci_root PNP0A08:00: host bridge window [io  0x0d00-0xffff]
pci_root PNP0A08:00: host bridge window [mem 0x000a0000-0x000bffff]
pci_root PNP0A08:00: host bridge window [mem 0x000d0000-0x000d3fff]
pci_root PNP0A08:00: host bridge window [mem 0x000d4000-0x000d7fff]
pci_root PNP0A08:00: host bridge window [mem 0x000d8000-0x000dbfff]
pci_root PNP0A08:00: host bridge window [mem 0x000dc000-0x000dffff]
pci_root PNP0A08:00: host bridge window [mem 0x000e0000-0x000e3fff]
pci_root PNP0A08:00: host bridge window [mem 0x000e4000-0x000e7fff]
pci_root PNP0A08:00: host bridge window [mem 0xe0000000-0xfeafffff]
[root@mindlife-mk64 pastordi]#